Package org.apache.commons.collections4.map

# Class AbstractHashedMap.EntrySet<K,V>

java.lang.Object
java.util.AbstractCollection<Map.Entry<K,V>>
java.util.AbstractSet<Map.Entry<K,V>>
org.apache.commons.collections4.map.AbstractHashedMap.EntrySet<K,V>

Type Parameters:
  `K` - The type of the keys in the map
  `V` - The type of the values in the map

All Implemented Interfaces:
  `Iterable<Map.Entry<K,V>>`, `Collection<Map.Entry<K,V>>`, `Set<Map.Entry<K,V>>`

Enclosing class:
  `AbstractHashedMap<K,V>`

protected static class AbstractHashedMap.EntrySet<K,V> extends AbstractSet<Map.Entry<K,V>>
EntrySet implementation.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntrySet(AbstractHashedMap<K,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `boolean`
  `contains(Object entry)`
  `Iterator<Map.Entry<K,V>>`
  `iterator()`
  `boolean`
  `remove(Object obj)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractSet

  `equals, hashCode, removeAll`

  ### Methods inherited from class java.util.AbstractCollection

  `add, addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `add, addAll, containsAll, isEmpty, retainAll, spliterator, toArray, toArray`

- ## Constructor Details

  - ### EntrySet

    protected EntrySet(AbstractHashedMap<K,V> parent)
    Constructs a new instance.
    Parameters:
      `parent` - The parent map.

- ## Method Details

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<K>`
    Specified by:
      `clear` in interface `Set<K>`
    Overrides:
      `clear` in class `AbstractCollection<Map.Entry<K,V>>`

  - ### contains

    public boolean contains(Object entry)
    Specified by:
      `contains` in interface `Collection<K>`
    Specified by:
      `contains` in interface `Set<K>`
    Overrides:
      `contains` in class `AbstractCollection<Map.Entry<K,V>>`

  - ### iterator

    public Iterator<Map.Entry<K,V>> iterator()
    Specified by:
      `iterator` in interface `Collection<K>`
    Specified by:
      `iterator` in interface `Iterable<K>`
    Specified by:
      `iterator` in interface `Set<K>`
    Specified by:
      `iterator` in class `AbstractCollection<Map.Entry<K,V>>`

  - ### remove

    public boolean remove(Object obj)
    Specified by:
      `remove` in interface `Collection<K>`
    Specified by:
      `remove` in interface `Set<K>`
    Overrides:
      `remove` in class `AbstractCollection<Map.Entry<K,V>>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<K>`
    Specified by:
      `size` in interface `Set<K>`
    Specified by:
      `size` in class `AbstractCollection<Map.Entry<K,V>>`